Daemon Power

The NetBSD Packages Collection: mail/swaks

Brief description of the package:
Featureful, flexible, scriptable SMTP test tool

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://www.jetmore.org/john/code/swaks/.

Please note that this package has a gnu-gpl-v2 license.

The package is located in the "mail/swaks" directory. The current source version of the package is "swaks-20170101.0". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for mail/swaks :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: p5-MIME-Base64-[0-9]* perl>=5.26.0 cwrappers>=20150314 perl<5.28.0 p5-Digest-MD5-[0-9]* p5-Digest-SHA-[0-9]* p5-Authen-SASL-[0-9]* p5-Digest-HMAC-[0-9]* p5-GSSAPI-[0-9]* p5-Net-DNS-[0-9]* p5-Digest-HMAC>=1.0 p5-Net-IP>=1.20 p5-IO-Socket-INET6>=2.01 p5-Socket6>=0.12 p5-Socket6-[0-9]* p5-Time-Local-[0-9]* perl>=5.0 .

This package requires the following package(s) to run: p5-MIME-Base64-[0-9]* perl>=5.26.0 perl<5.28.0 p5-Digest-MD5-[0-9]* p5-Digest-SHA-[0-9]* p5-Authen-SASL-[0-9]* p5-Digest-HMAC-[0-9]* p5-GSSAPI-[0-9]* p5-Net-DNS-[0-9]* p5-Digest-HMAC>=1.0 p5-Net-IP>=1.20 p5-IO-Socket-INET6>=2.01 p5-Socket6>=0.12 p5-Socket6-[0-9]* p5-Time-Local-[0-9]* perl>=5.0 .

This package supports the following build-time options:

inet6
Enable support for IPv6.
ssl
Enable SSL support.

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
i386:swaks-20170101.0.tgz(NetBSD 6.0)
i386:swaks-20170101.0.tgz(NetBSD 6.1)
i386:swaks-20170101.0.tgz(NetBSD 7.0)
powerpc:swaks-20170101.0.tgz(NetBSD 6.1)
x86_64:swaks-20170101.0.tgz(NetBSD 6.0)
x86_64:swaks-20170101.0.tgz(NetBSD 6.1)
x86_64:swaks-20170101.0.tgz(NetBSD 7.0)
x86_64:swaks-20170101.0.tgz(NetBSD 7.0.1_PATCH)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]